/*********************************************************
 *                                                       *
 *  NCSA Finger Client for Microsoft Windows V1.0        *
 *                                                       *
 *  part of:                                             *               
 *      The NCSA Windows Telnet Package                  * 
 *       by Darian D. Woodford                           *                       
 *                                                       *                   
 *      National Center for Supercomputing Applications  *                   
 *      152 Computing Applications Building              *                   
 *      605 E. Springfield Ave.                          *                   
 *      Champaign, IL  61820                             *                   
 *                                                       *                  
 *      This program is in the public domain.            *
 *                                                       *
 *********************************************************/

#include "fing.h" 


// Global Variables                                                     

char far *buff;

char user[80];
char machine[80];

char msg[80];
char PromptText[41];
char PromptString[81];

HANDLE  hInst;
HANDLE  hAccel;
HWND    hWnd;

GLOBALHANDLE  hBuffer;


struct sockaddr_in anaddr; 
int fngrport = 79;
int shut_down;
int bufflen = 0;

SOCKET fclient      = INVALID_SOCKET;

BOOL IsCmdLine      = FALSE;

// Initialization routines

BOOL InitApplication (HANDLE hInstance) 
{   
    WNDCLASS wc;
    wc.style = NULL;
    wc.lpfnWndProc = FingWndProc;
    wc.cbClsExtra = 0;
    wc.cbWndExtra = 0;
    wc.hInstance = hInstance;
    wc.hIcon = LoadIcon(hInstance, "FINGER_ICON");
    wc.hCursor = LoadCursor(NULL, IDC_ARROW);
    wc.hbrBackground = GetStockObject(WHITE_BRUSH);
    wc.lpszMenuName = "FingMenu";
    wc.lpszClassName = "FingClass";
    
    return (RegisterClass(&wc));
} 

BOOL InitInstance( HANDLE hInstance, int nCmdShow)
{
    hInst = hInstance;
    hWnd = CreateWindow( "FingClass", 
                         "NCSA Finger Client",
                         WS_OVERLAPPEDWINDOW, 
                         CW_USEDEFAULT,
                         CW_USEDEFAULT, 
                         CW_USEDEFAULT, 
                         CW_USEDEFAULT,
                         NULL,
                         NULL,
                         hInstance,
                         NULL);
    
    if (!hWnd)
        return (FALSE);
    
    
    
    return (TRUE);                         
}                              
                               
                               
int PASCAL WinMain( HANDLE hInstance, HANDLE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
    MSG msg;
    WSADATA wskData;
    
        
    if (!hPrevInstance)
        if (!InitApplication(hInstance))
            return (FALSE);
    if (!InitInstance(hInstance, nCmdShow))
        return (FALSE);
    
   if (WSAStartup(0x0101,&wskData) == 0)
        {
         if (lstrlen(lpCmdLine))
            {
            ParseCommandLine(lpCmdLine);
             PostMessage(hWnd, WM_COMMAND, (WPARAM) FINGER, 0L);
             } 
                
         while (GetMessage( &msg, NULL, NULL, NULL)) 
            {
             
                TranslateMessage( &msg);
                DispatchMessage( &msg);
                if (shut_down)
                    {
                    DestroyWindow(hWnd);
                    }
 
            }    
                           
                              
        // Time to go, shut down all open sockets, and clean up.
                              
        if (fclient != INVALID_SOCKET)
            closesocket( fclient);                
        WSACleanup();
        return (msg.wParam);
        }
    return (0);
}                


BOOL FAR PASCAL AboutDlgProc( HWND hDlg, unsigned message, WORD wParam, LONG lParam)
{
    switch (message)
        {
            case WM_INITDIALOG:
                return (TRUE);
            
            case WM_COMMAND:   
                switch (wParam)
                    {
                    case IDOK:
                    case IDCANCEL:
                        EndDialog (hDlg, 0);
                        return TRUE;
                    }
                break;        
        }
    return (FALSE);
}                         

long FAR PASCAL FingWndProc( HWND hWnd, unsigned message, WORD wParam, LONG lParam)
{
    int  cnt;
    int  pos;
    short cxChar, cyChar;
    
    HFONT hFont;
    TEXTMETRIC tm;
    
    struct hostent FAR *hp;
    static HANDLE arrow, hrGlass, hMenu;
    static FARPROC lpfnAboutDlgProc;
    static FARPROC lpfnPromptDlgProc;
    
    static char default_host[] = "void.ncsa.uiuc.edu";
    static char default_user[] = "\0";  
    
    static HWND hwndEdit;
    
 
          

    pos = 0;
    
    switch (message)
        {
        case WM_CREATE:
            hMenu = GetMenu(hWnd);
            arrow = LoadCursor(NULL, IDC_ARROW);
            hrGlass = LoadCursor( NULL, IDC_WAIT);
            SetCursor( arrow);     
            lpfnAboutDlgProc = MakeProcInstance(AboutDlgProc, hInst);
            lpfnPromptDlgProc = MakeProcInstance(PromptDlgProc, hInst);
            
                        
            hBuffer = GlobalAlloc(GHND, 0xC800L);    // the big buffer chunk;
            buff =  GlobalLock(hBuffer);
            
            
            hFont = GetStockObject(ANSI_FIXED_FONT);
            SelectObject (GetDC(hWnd), GetStockObject (ANSI_FIXED_FONT)) ;
            
            GetTextMetrics(GetDC(hWnd), &tm);
            cxChar = tm.tmAveCharWidth;
            cyChar = tm.tmHeight + tm.tmExternalLeading;
            SetWindowPos(hWnd, HWND_TOP, 100, 100, cxChar * (79 + GetSystemMetrics(SM_CXVSCROLL)), cyChar * 24, SWP_NOZORDER);
            ShowWindow(hWnd, SW_SHOW);
            
            
          
            hwndEdit = CreateWindow ("edit", NULL,
                         WS_CHILD | WS_VISIBLE | WS_HSCROLL | WS_VSCROLL |
                              ES_LEFT | ES_MULTILINE |
                              ES_AUTOHSCROLL | ES_AUTOVSCROLL | ES_READONLY,
                         0, 0, 0, 0,
                         hWnd, 1, ((LPCREATESTRUCT) lParam)->hInstance, NULL) ;
            SendMessage(hwndEdit, WM_SETFONT, (WPARAM) hFont, 0); 
            
            
    
                                                                 
            
                              
            break;                                                     

            
            
         case WM_SETFOCUS:
               SetFocus (hwndEdit) ;
               return 0 ;                                                   

          case WM_SIZE: 
               MoveWindow (hwndEdit, 0, 0, LOWORD (lParam),
                                           HIWORD (lParam), TRUE) ;
               return 0 ;    
            
        case WM_CHAR:
            if (wParam == 3)            // Test for control-C
                {
                    WSACancelBlockingCall();
                    PrintError("Finger attempt has been interruted");
                }
            else 
                return (DefWindowProc( hWnd, message, wParam, lParam));
            break;

        case WM_COMMAND:
            switch (wParam) 
                {
                 case IDM_ABOUT:
                  {
                  DialogBox( hInst, "AboutBox", hWnd, lpfnAboutDlgProc);
                  break;
                  }
                  
                 case FINGER:
                    
                                        
                    if (IsCmdLine)
                        lstrcpy(msg, machine);
                    else        
                        if(prompt(hWnd, hInst, "Please enter the Hostname:",default_host, msg ) == NULL)   
                            break;
                              
                                        
                    if ((hp = gethostbyname(msg)) == NULL)
                        {
                        PrintError("Cannot find host!!");
                        break;
                        }
                   
                    strcpy(default_host, msg);
                                            
                    _fmemcpy((char FAR *) &anaddr.sin_addr.s_addr, hp->h_addr, hp->h_length);
                    
                    
                    if (IsCmdLine)
                        lstrcpy(msg, user);
                    else    
                        if (!prompt(hWnd, hInst, "Please enter the user's name (or blank):", default_user, msg))              
                            strcpy (msg, "");
                    
                    strcpy(default_user, msg);    
                   
                    IsCmdLine = FALSE;
                    
                    if (fngrport == 0)      //Eventhough the fingerport is 79, this is how it should be searched for.
                        {
                        struct servent FAR *sp;
                        if ((sp = getservbyname("finger", "tcp")) == NULL)
                            {
                            PrintError("Cannot find port number for finger daemon.");
                            break;
                            }
                        fngrport= htons(sp->s_port);
                        }
                    
                    if ((fclient = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP)) == INVALID_SOCKET)  // Let's try and find a socket.
                        {
                        PrintError("Unable to get a socket");
                        }
                    else 
                        {
                        anaddr.sin_family = AF_INET;
                        anaddr.sin_port = htons(fngrport);
                        
                        // Try and make the connection
                        if (connect(fclient, (struct sockaddr FAR *) &anaddr, sizeof (struct sockaddr_in)))
                            {
                            PrintError("Unable to connect to finger daemon.");
                            closesocket( fclient);
                            fclient = INVALID_SOCKET;
                            }
                        else 
                            {
                            strcat(msg, "\r\n");
                            if(send(fclient, msg, strlen(msg), 0) < (int) strlen(msg))
                                {
                                PrintError("Error while looking up user(s)!!");
                                }
                            else 
                                while ((cnt = recv(fclient, (buff+ pos), BLOCK_SIZE, 0)) > 0)
                                    pos += cnt;
                                    
                                    
                                *(buff + pos) = '\0';

                               
                                        
                                    }
                        closesocket(fclient);
                        fclient = INVALID_SOCKET;
                        }
                    
                    SendMessage(hwndEdit, WM_SETTEXT, sizeof(buff), (LPARAM) ((LPCSTR) buff));
                    
                        
                    break;
                
                case CANCEL:
                    WSACancelBlockingCall();
                    PrintError("Finger attempt has been interruted");
                    break;
                
                case COPY:
                    SendMessage(hwndEdit, WM_COPY, 0, 0L);
                    break;
                    
                case QUIT:
                    GlobalUnlock(hBuffer);
                    SendMessage(hWnd, WM_CLOSE, 0, 0L);
                    break;
                    
                default:
                    return (DefWindowProc(hWnd, message, wParam, lParam));
                    }
                break;
            
            case WM_CLOSE:
                shut_down = 1;
                break;
                
            case WM_DESTROY:
                GlobalFree(hBuffer);
                PostQuitMessage(0);
                break;
                
            default:
                return (DefWindowProc(hWnd, message, wParam, lParam));
            }
            
            return (NULL);
        }
        

    
 // PromptDlgProc - handles the "prompt" dialog box calls
 BOOL FAR PASCAL PromptDlgProc( HWND hDlg, unsigned message, WORD wParam, LONG lParam)
        {
        switch (message)
            {
            case WM_COMMAND:
                if (wParam == IDOK)
                    { 
                    GetDlgItemText(hDlg, PROMPT_STRING, PromptString, 80);                            
                    EndDialog(hDlg, IDOK);
                    return TRUE;
                    }
                    
                else
                    if (wParam == IDCANCEL)
                        {
                        EndDialog(hDlg, IDCANCEL);
                        return TRUE;
                        }
                        return FALSE;
                     break;
            
            case WM_INITDIALOG:
                SetDlgItemText(hDlg, PROMPT_TEXT, PromptText);
                SetDlgItemText(hDlg, PROMPT_STRING, PromptString);
                return (TRUE);
                break;                
            
            default:
                return (FALSE);
            }
        }
        
  
char *prompt(HWND hWnd, HANDLE hInst, char *message, char *default_string, char *buf)
    {
    int rc;
    static FARPROC lpfnPromptDlgProc;

    
    lpfnPromptDlgProc = MakeProcInstance(PromptDlgProc, hInst);
    
    lstrcpy( PromptText, message);
    lstrcpy( PromptString, default_string);
    
    rc = DialogBox( hInst, "PROMPT", hWnd, lpfnPromptDlgProc);

    if (rc == IDOK)
        lstrcpy(buf, PromptString);
    else 
        buf = NULL;
    return buf;
    }
 

// PrintError - displays an error mesage on the last error
void PrintError( LPSTR error_message)
    {
    char buf[128];
    wsprintf(buf, "%s (%d)", (LPSTR)error_message, WSAGetLastError());
    MessageBox(hWnd, buf, NULL, MB_ICONHAND);
    }
          
void ParseCommandLine( LPSTR lpCmdLine)
    {
    
    int pos, start, i;
    pos = start = i = 0;
    IsCmdLine = TRUE;
    start = pos;
    
    while ((lpCmdLine[pos]) && (lpCmdLine[pos] != '@'))             //get the user name if there is one (or two)
        pos++;
    
    for (i = 0; i < pos; i++)
        {
         user[i] = lpCmdLine[i];
        }
    start = ++pos;
    while (lpCmdLine[pos])                                     // get the machine name
        { pos++; }
        
    for (i = start; i < pos; i++)
        {
        machine[i - start] = lpCmdLine[i];
        }
    
    }                                                               